SystemOrganization addCategory: #ConfigurationOfOrderPreservingDictionary!

Object subclass: #ConfigurationOfOrderPreservingDictionary
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfOrderPreservingDictionary'!

!ConfigurationOfOrderPreservingDictionary commentStamp: '<historical>' prior: 0!
(ConfigurationOfOrderPreservingDictionary project version: #stable) load

(ConfigurationOfOrderPreservingDictionary project version: #stable) load: #('Tests')!

!ConfigurationOfOrderPreservingDictionary classSide methodsFor: 'private' stamp: 'StephaneDucasse 2/16/2013 20:12'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfOrderPreservingDictionary classSide methodsFor: 'catalog' stamp: 'monty 4/14/2015 03:52'!
catalogDescription

^ 'This package has two ordered dictionary classes that behave like OrderedDictionary and OrderedIdentityDictionary in Pharo but are portable to Squeak and Gemstone, and other ordered dictionary classes needed by XMLParser.'! !

!ConfigurationOfOrderPreservingDictionary classSide methodsFor: 'catalog' stamp: 'monty 1/29/2016 19:32'!
catalogKeywords
	^ #( collection dictionary ordered #'order-preserving' )! !

!ConfigurationOfOrderPreservingDictionary classSide methodsFor: 'catalog' stamp: 'monty 1/12/2016 06:17'!
catalogLicense
	^ 'The MIT License (MIT)

Copyright (c) 2016 PharoExtras Team.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.'! !

!ConfigurationOfOrderPreservingDictionary classSide methodsFor: 'private' stamp: 'StephaneDucasse 2/16/2013 20:12'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
			self bootstrapPackage: 'Gofer-Core-lr.115' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfOrderPreservingDictionary classSide methodsFor: 'metacello tool support' stamp: 'StephaneDucasse 2/16/2013 20:12'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfOrderPreservingDictionary classSide methodsFor: 'metacello tool support' stamp: 'StephaneDucasse 2/16/2013 20:12'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfOrderPreservingDictionary classSide methodsFor: 'loading' stamp: 'StephaneDucasse 2/16/2013 20:12'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfOrderPreservingDictionary classSide methodsFor: 'loading' stamp: 'StephaneDucasse 2/16/2013 20:12'!
loadDefault
	"self loadDefault"

	^ self loadMostRecentCoreWithTests! !

!ConfigurationOfOrderPreservingDictionary classSide methodsFor: 'loading' stamp: 'StephaneDucasse 2/16/2013 20:12'!
loadMostRecentCoreWithTests
	^self project lastVersion load: #('Core' 'Tests')! !

!ConfigurationOfOrderPreservingDictionary classSide methodsFor: 'metacello tool support' stamp: 'StephaneDucasse 2/16/2013 20:12'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfOrderPreservingDictionary classSide methodsFor: 'accessing' stamp: 'StephaneDucasse 2/16/2013 20:12'!
project

	^self new project! !

!ConfigurationOfOrderPreservingDictionary classSide methodsFor: 'unloading Metacello' stamp: 'StephaneDucasse 2/16/2013 20:12'!
unloadMetacello

	Smalltalk at: #ConfigurationOfMetacello ifPresent: [:cls | cls unloadMetacello ]! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'baselines' stamp: 'monty 12/14/2014 19:10'!
baseline100: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://smalltalkhub.com/mc/PharoExtras/OrderPreservingDictionary/main'.	
		spec description: 'Imported from SqueakSource'.
		spec package: 'Collections-OrderPreservingDictionary'.
		spec 
			package: 'Collections-Tests-OrderPreservingDictionary' 
			with: [spec requires: 'Collections-OrderPreservingDictionary'].
			
		spec
			group: 'default' with: #('Core');
			group: 'Core' with: #('Collections-OrderPreservingDictionary');
			group: 'Tests' with: #('Collections-Tests-OrderPreservingDictionary'). ].
		
		"loads methods needed for gemstone"
		spec
			for: #'gemstone'
			do: [
				spec
					package: 'Collections-OrderPreservingDictionary'
					with: [ spec includes: 'Collections-OrderPreservingDictionary-GemstoneCompatibility' ].
				spec
					package: 'Collections-OrderPreservingDictionary-GemstoneCompatibility'
					with: [ spec requires: 'Collections-OrderPreservingDictionary' ] ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'baselines' stamp: 'monty 12/14/2014 19:44'!
baseline131: spec 
        <version: '1.3.1-baseline' imports: #('1.0-baseline')>
        
        spec for: #'gemstone' do: [
                spec blessing: #baseline.
                spec
                     package: 'Collections-OrderPreservingDictionary-GemstoneCompatibility'
                     with: 'Collections-OrderPreservingDictionary-GemstoneCompatibility-monty.1'. ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'symbolic versions' stamp: 'monty 12/14/2014 19:11'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.3.1-baseline'.
! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'accessing' stamp: 'StephaneDucasse 2/16/2013 20:12'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'symbolic versions' stamp: 'monty 10/1/2016 00:22'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.3.6'.
! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'StephaneDucasse 2/16/2013 20:20'!
version100: spec 
	<version: '1.0' imports: #('1.0-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec description: 'Latest versions from Squeaksource'.
		
		spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-JAA.7'.
		spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-JAAyer.7'
		]
	

! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 2/4/2014 17:24'!
version110: spec 
	<version: '1.1' imports: #('1.0-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		
		spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.9'.
		spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-JAAyer.7'
		]
	

! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 12/7/2014 17:52'!
version120: spec
	<version: '1.2' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #release.
		spec description: 'version 1.2'.
		spec author: 'GuillaumeLarcheveque'.
		spec timestamp: '6/27/2014 16:03'.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.9';
			package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-JAAyer.7'. ].
! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 12/7/2014 17:52'!
version121: spec
	<version: '1.2.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #release.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.10';
			package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-JAAyer.7'. ].
! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 12/7/2014 17:53'!
version122: spec
	<version: '1.2.2' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #release.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.12';
			package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.9'. ].
! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 12/7/2014 17:53'!
version123: spec
	<version: '1.2.3' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #release.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.13';
			package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.10'. ].
! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 12/7/2014 17:52'!
version124: spec
	<version: '1.2.4' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #release.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.15';
			package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.10'. ].
! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 12/7/2014 17:52'!
version125: spec
	<version: '1.2.5' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #release.
		spec 
			package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.16';
			package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.11'. ].
! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 11/13/2014 17:49'!
version126: spec 
        <version: '1.2.6' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.17'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.12'.
                ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 11/13/2014 20:32'!
version127: spec 
        <version: '1.2.7' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.18'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.12'.
                ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 11/14/2014 18:14'!
version128: spec 
        <version: '1.2.8' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.19'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.13'.
                ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 11/21/2014 05:39'!
version129: spec 
        <version: '1.2.9' imports: #('1.0-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.20'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.14'.
                ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'StephanEggermont 12/8/2014 17:32'!
version130: spec 
	<version: '1.3.0' imports: #('1.0-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec package: 'Collections-OrderPreservingDictionary' with: 			'Collections-OrderPreservingDictionary-monty.21'.
		spec package: 'Collections-Tests-OrderPreservingDictionary' with: 			'Collections-Tests-OrderPreservingDictionary-monty.14']! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 12/14/2014 19:15'!
version131: spec 
	<version: '1.3.1' imports: #('1.3.1-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec
			package: 'Collections-OrderPreservingDictionary'
			with: 'Collections-OrderPreservingDictionary-monty.22'.
		spec
			package: 'Collections-Tests-OrderPreservingDictionary'
			with: 'Collections-Tests-OrderPreservingDictionary-monty.15'. ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 12/15/2014 16:55'!
version132: spec 
        <version: '1.3.2' imports: #('1.3.1-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.22'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.16'.
                ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 4/14/2015 03:51'!
version133: spec 
        <version: '1.3.3' imports: #('1.3.1-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.23'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.17'.
                ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 12/21/2015 21:38'!
version134: spec 
        <version: '1.3.4' imports: #('1.3.1-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.24'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.18'.
                ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 9/8/2016 02:07'!
version135: spec 
        <version: '1.3.5' imports: #('1.3.1-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.25'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.20'.
                ].! !

!ConfigurationOfOrderPreservingDictionary methodsFor: 'versions' stamp: 'monty 10/1/2016 21:11'!
version136: spec 
        <version: '1.3.6' imports: #('1.3.1-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'Collections-OrderPreservingDictionary' with: 'Collections-OrderPreservingDictionary-monty.29'.
			spec package: 'Collections-Tests-OrderPreservingDictionary' with: 'Collections-Tests-OrderPreservingDictionary-monty.24'.
                ].! !
